This page is generated from the public contract. Descriptions are shown in the original Korean.
여러 Catalog의 이름·summary·description을 한 번에 찾습니다.
Catalog 통합 검색#
GET /api/search
Authentication: Session cookie or Agent token
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
q | query | string | No | 대소문자를 구분하지 않는 리터럴 부분 문자열. 앞뒤 공백 제거 후 200 rune 이하·제어문자 금지. 생략·빈 값은 빈 결과입니다. |
type | query | string | No | 결과를 한 유형으로 좁힙니다. counts는 바뀌지 않습니다. Values: system, service, api, endpoint, workflow, database, messaging-cluster, kafka-topic, repository |
limit | query | integer | No | 반환할 최대 결과 수. 선행 0 없는 1~50 정수, 기본 20. per_type과 함께 보내면 400입니다. |
per_type | query | integer | No | 유형별 최대 결과 수. 선행 0 없는 1~10 정수. limit과 함께 보내면 400입니다. type과 함께 사용하면 해당 유형에만 적용합니다. |
Responses
| Status | Description |
|---|---|
200 | 성공 |
400 | INVALID_REQUEST |
401 | UNAUTHENTICATED |
403 | FORBIDDEN_ORIGIN·ORGANIZATION_UNVERIFIED |
405 | METHOD_NOT_ALLOWED |
409 | ORGANIZATION_REQUIRED |
500 | INTERNAL_ERROR |
200 response body
Type: SearchResponse
| Name | Type | Required | Description |
|---|---|---|---|
items | SearchResult[] | Yes | |
counts | object | Yes | type 필터와 무관한 유형별 전체 일치 건수. |
has_more | boolean | Yes | limit 또는 per_type을 넘어 생략한 결과가 있는지 여부. |
Catalog handle 사용 가능 여부 조회#
GET /api/catalog-handles/{kind}/{handle}
현재 Organization의 같은 Catalog에서 handle 정규화 결과와 사용 가능 여부만 반환합니다. 앞뒤 공백 제거·소문자 정규화 후 형식과 예약어(Database의 structures)를 검사하며 위반하면 422 VALIDATION_FAILED(field handle, code invalid_format)입니다. 알 수 없는 kind는 404 ROUTE_NOT_FOUND이고 query·본문은 받지 않습니다(400). 사전 확인일 뿐 최종 고유성은 생성·수정 저장이 보장합니다.
Authentication: Session cookie or Agent token
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
kind | path | string | Yes | Catalog 종류. System=systems, Service=services, API=apis, Workflow=workflows, Database=databases, Messaging Cluster=messaging-clusters, Repository=repositories. Values: systems, services, apis, workflows, databases, messaging-clusters, repositories |
handle | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | 성공 |
400 | INVALID_REQUEST |
401 | UNAUTHENTICATED |
403 | FORBIDDEN_ORIGIN·ORGANIZATION_UNVERIFIED |
404 | ROUTE_NOT_FOUND |
405 | METHOD_NOT_ALLOWED |
409 | ORGANIZATION_REQUIRED |
422 | VALIDATION_FAILED |
500 | INTERNAL_ERROR |
200 response body
Type: CatalogHandleAvailability
| Name | Type | Required | Description |
|---|---|---|---|
handle | string | Yes | 같은 Organization의 같은 Catalog에서 고유한 Web 주소 이름. 3~39자의 영문 소문자·숫자·단일 하이픈이며 숫자로 시작할 수 있습니다. |
available | boolean | Yes | 현재 Organization의 같은 Catalog에서 사용 중이 아니면 true입니다. 사전 확인일 뿐 최종 고유성은 생성·수정 저장이 보장합니다. |